#include <cstdio>
#include <algorithm>

using namespace std;

int main() {   
	long long a, b, m, n;
	scanf("%I64d %I64d %I64d %I64d", &a, &b, &m, &n);
	printf("%I64d", max(a * m, b * n));
	return 0;
}